id: tixeo-panel

info:
  name: Tixeo Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Tixeo login panel was detected.
  reference:
    - https://www.tixeo.com/en/
  metadata:
    verified: true
    max-request: 3
    shodan-query: "http.title:\"tixeo\""
  tags: panel,tixeo,login,detect
http:
  - method: GET
    path:
      - "{{BaseURL}}/meet/services/json/v1/settings"
      - "{{BaseURL}}/meet/login.html"
      - "{{BaseURL}}/meet/"

    stop-at-first-match: true

    matchers:
      - type: dsl
        dsl:
          - 'contains(header, "Tixeo")'
          - 'contains_any(to_lower(body), "tixeo-button", "tixeoclient")'
        condition: or

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '"applicationVersion"\s*:\s*"([0-9.]+)"'
# digest: 4a0a00473045022100ac39e6d0f759d05704597901e5eba853af07785fd15c4d6373de3ebefe8ef482022008aa2f468b8a8eeec99d37884032487b7d37c62993781619eeeaf84a9c017584:922c64590222798bb761d5b6d8e72950